# REPLACE

```
REPLACE (sourceExpr, targetExpr, replaceExpr)
```

Returns a new string in which all occurrences of a specified String in the current string are replaced with another specified String.

Available in:

| Processors | SQL Studio |
| ---------- | ---------- |
| ✓          | ✓          |

*Sample code:*

```sql
# REPLACE IS WITH ISSUE

USE `kafka`;
SELECT 
    REPLACE(status, 'unverified', 'verify urgent') 
FROM users-topic
LIMIT 100;

# Expected keyword FROM
```

*Output:*

```json
// Some code
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.lenses.io/latest/user-guide/using/sql-reference/functions/string/replace.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
